diff --git a/contrib/postgres_fdw/postgres_fdw.c b/contrib/postgres_fdw/postgres_fdw.c
index d98709e5e8..b4fd54d913 100644
--- a/contrib/postgres_fdw/postgres_fdw.c
+++ b/contrib/postgres_fdw/postgres_fdw.c
@@ -1872,6 +1872,9 @@ postgresPlanForeignModify(PlannerInfo *root,
 							 returningList,
 							 &retrieved_attrs);
 			break;
+		case CMD_MERGE:
+			elog(ERROR, "MERGE not permitted on foreign tables");
+			break;
 		default:
 			elog(ERROR, "unexpected operation: %d", (int) operation);
 			break;
